@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Encode+Sans+Expanded:wght@100;200;300;400;500;600;700;800;900&family=Geologica:wght@100..900&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap');

@font-face {
    font-family: Clash Display Variable;
    src: url(fonts/ClashDisplay-Variable.ttf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    font-family: DM Sans;
    font-weight: 400;
    background: rgba(245, 245, 245, 1);
}

.head-cont {
    width: 100%;
    height: fit-content;
    min-height: 100vh;
    background: url(img/introcontbg.webp);
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 44px;
    padding: 20px 100px 65px 100px;
}

header {
    width: 882px;
    display: flex;
    align-items: center;
    gap: 100px;
    padding: 20px 25px;
    border: 1px solid;
    border-image-source: linear-gradient(180deg, #37393C 0%, rgba(55, 57, 60, 0) 128.66%);
    box-shadow: 0px 1px 4px 0px rgba(38, 40, 46, 0.37);
    backdrop-filter: blur(4px);
    border-radius: 500px;
}

nav ul {
    display: flex;
    align-items: center;
    gap: 32px;
    list-style: none;
}

nav ul li a {
    font-size: 16px;
    line-height: 24px;
    color: #fff;
    text-decoration: none;
}

.intro {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 40px;
}

.intro>img {
    width: 100%;
}

h1 {
    font-family: Clash Display Variable;
    font-weight: 400;
    font-size: 64px;
    line-height: 110.00000000000001%;
    letter-spacing: 0%;
    text-align: center;
}

.intro-info {
    width: 1000px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    color: #fff;
}

.intro-info p {
    font-size: 16px;
    text-align: center;
    color: #fff;
}

.key-solution {
    padding: 75px 80px;
    display: flex;
    flex-direction: column;
    gap: 45px;
}

.key-solution .title {
    text-align: center;
}

.title {
    font-family: Clash Display Variable;
    font-weight: 500;
    font-size: 44px;
    line-height: 110.00000000000001%;
    letter-spacing: 0%;
    /* text-align: center; */
    background: linear-gradient(180deg, #212121 15.63%, rgba(33, 33, 33, 0.7) 89.03%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.key-solution-block {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 28px;
    row-gap: 30px;
}

.key-solution-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 50px 20px 50px;
    position: relative;
    overflow: hidden;
    background: #fff;
    border-radius: 12px;
}

.key-solution-picture {
    position: relative;
}

.key-solution-picture::before {
    content: '';
    width: 360px;
    height: 270px;
    background: url(img/Ellipse.webp);
    position: absolute;
    left: 50%;
    top: -108px;
    z-index: 111;
    transform: translateX(-50%);
}

.key-solution-item p {
    font-size: 18px;
    font-weight: bold;
    background: linear-gradient(180deg, #212121 15.63%, rgba(33, 33, 33, 0.7) 89.03%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center;

}

.key-solution-item span {
    text-align: center;
    font-size: 12px;
    font-weight: light;
}

.block-title {
    font-family: Clash Display Variable;
    font-weight: 400;
    font-size: 52px;
    line-height: 130%;
    background: linear-gradient(180deg, #FFFFFF 25%, #0C1711 343.26%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.optimization {
    padding: 40px 80px;
}

.optimization-block {
    padding: 60px 20px 60px 60px;
    background: url(img/optimizationBg.webp);
    background-size: cover;
    background-position: right;
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.optimization-block img {
    object-fit: cover;
}

.optimization-left>span {
    font-size: 14px;
    line-height: 140%;
    color: #fff;
    margin-top: 16px;
}

.optimization p {
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    color: #fff;
    margin-top: 22px;
}

.orange-btn {
    width: fit-content;
    cursor: pointer;
    border-radius: 100px;
    padding: 11px 20px;
    font-family: DM Sans;
    font-weight: 700;
    font-size: 14px;
    line-height: 20px;
    color: #fff;
    background: linear-gradient(180deg, #FF8D29 0%, #FF4400 100%),
        linear-gradient(180deg, rgba(108, 108, 108, 0.15) 0%, rgba(255, 255, 255, 0) 100%);
    border: 1px solid transparent;
    border-image: linear-gradient(180deg, rgba(255, 255, 255, 0.1904) 0%, rgba(255, 255, 255, 0) 100%);
    border-image-slice: 1;
    border: none;
    box-shadow:
        0px 0px 0px 2px rgba(165, 82, 34, 1),
        0px 1px 2px 0px rgba(62, 34, 13, 0.5);
}

.optimization button {
    margin-top: 36px;
}

.optimization-left {
    max-width: 691px;
    display: flex;
    flex-direction: column;
}

.optimization ul {
    margin-top: 28px;
    display: flex;
    flex-direction: column;
    list-style: none;
    gap: 24px;
}

.optimization ul li {
    font-weight: 400;
    font-size: 14px;
    line-height: 140%;
    color: #fff;
    padding-left: 32px;
    position: relative;
}

.optimization ul li::before {
    content: '';
    width: 31px;
    height: 31px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background: url(img/optimicon.webp);
}

.optimization ul li span {
    font-weight: 800;
    font-size: 14px;
    color: rgba(255, 158, 93, 1);
}

.choose {
    padding: 80px;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 50px;
}

.choose-block {
    display: grid;
    gap: 28px;
    grid-template-columns: repeat(4, 1fr);
}

.choose-item {
    overflow: hidden;
    padding: 0 15px 15px 15px;
    border-radius: 24px;
    background: linear-gradient(180deg, #FFFFFF 0%, #F5F5F5 100%);
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}

.choose-item .choose-item-info {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5px;
    flex-grow: 1;
}

.choose-item p {
    font-size: 18px;
    font-weight: 700;
    background: linear-gradient(180deg, #212121 15.63%, rgba(33, 33, 33, 0.7) 89.03%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center;
}

.choose-item span {
    font-weight: 300;
    font-size: 12px;
    line-height: 130%;
    text-align: center;
    white-space: pre-line;
    color: rgba(33, 33, 33, 1);
}

.choose-item-picture {
    overflow: hidden;
    width: 270px;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.power {
    padding: 44px 0 0 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-image: url(img/powerBg.webp);
    background-size: cover;
    background-position: center;
}

.power h2 {
    white-space: pre-line;
    font-family: Clash Display Variable;
    font-weight: 400;
    font-size: 48px;
    line-height: 120%;
    letter-spacing: 0%;
    text-align: center;
    color: #fff;
}

.power-picture {
    height: 465px;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.power-picture img {
    height: 662px;
    object-position: bottom;
    object-fit: cover;
    margin-top: -190px;
}

.contact {
    padding: 26px 0 26px 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.contact>img {
    width: 50%;
}

.contact-left {
    width: 426px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.contact p {
    font-weight: 400;
    font-size: 20px;
    background: linear-gradient(180deg, #212121 15.63%, rgba(33, 33, 33, 0.7) 89.03%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.contact button {
    margin-top: 34px;
}

.connect {
    padding: 0 80px 120px 80px;
}

.connect-block {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 24px;
    padding: 85px;
    background: url(img/connectbg.webp);
    background-size: cover;
    border-radius: 40px;
}

.connect h2 {
    font-family: Clash Display Variable;
    font-weight: 500;
    font-size: 48px;
    line-height: 124%;
    text-align: center;
    color: #fff;
}

.connect span {
    white-space: pre-line;
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0%;
    text-align: center;
    color: rgba(255, 255, 255, 0.8);
}

.connect button {
    margin-top: 16px;
}

footer {
    display: flex;
    flex-direction: column;
}

.footer-top {
    padding: 45px;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 35px;
    background: rgba(203, 203, 203, 1);
}

.footer-top div ul {
    display: flex;
    align-items: center;
    gap: 12px;
    list-style: none;
}

.footer-top li {
    background: rgba(167, 167, 167, 1);
    border-radius: 100px;
    padding: 2px 16px;
    height: 42px;
}

.footer-top li a {
    font-family: DM Sans;
    font-weight: 400;
    font-size: 16px;
    line-height: 40px;
    letter-spacing: 0%;
    text-align: center;
    text-decoration: none;
    color: rgba(33, 33, 33, 1);
}

.footer-top img {
    width: 300px;
    object-fit: cover;
}

.footer-bottom {
    padding: 28px;
    display: flex;
    gap: 15px;
    align-items: center;
    flex-direction: column;
    background: rgba(167, 167, 167, 1);
}

.footer-bottom p,
.footer-bottom a {
    font-weight: 400;
    font-size: 12px;
    line-height: 130%;
    text-align: center;
    color: rgba(33, 33, 33, 1);
    white-space: pre-line;
    text-decoration: none;
}



.block-location {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-left: 100px;
}

.block-location a {
    color: rgba(48, 48, 48, 1);
    text-decoration: none;
    font-size: 12px;
}

.block-location span {
    color: rgba(48, 48, 48, 0.4);
    font-size: 12px;
}

.policy-header {
    padding: 30px 40px;
}

.policy-header img {
    width: 153px;
}

.policy {
    padding: 20px 100px;
    padding-bottom: 120px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.policy h2 {
    font-weight: 590;
    font-size: 52px;
    background: linear-gradient(180deg, #FF8D29 0%, #FF4400 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.policy h3 {
    color: rgba(48, 48, 48, 1);
    font-size: 40px;
    font-weight: 590;
}

.policy div {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.policy p {
    color: rgba(48, 48, 48, 1);
    font-size: 16px;
    font-weight: 274;
}

.policy p span {
    font-weight: 590;
}

.policy ul {
    display: flex;
    flex-direction: column;
    padding-left: 20px;
}

.body-filter {
    background: rgba(7, 0, 33, 0.6);
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 11;
}

.body-filter-active {
    display: flex;
}

.modal {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%) scale(0);
    width: 404px;
    padding: 20px 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    border-radius: 16px;
    background: #fff;
    z-index: 111;
}

.modal h2 {
    margin-top: 8px;
    font-family: Clash Display Variable;
    font-weight: 500;
    font-size: 28px;
    line-height: 124%;
    text-align: center;
    background: linear-gradient(180deg, #212121 15.63%, rgba(33, 33, 33, 0.7) 89.03%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.modal p {
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    text-align: center;
    color: rgba(33, 33, 33, 1);
    margin-bottom: 16px;
}

.modal textarea {
    width: 100%;
    border: none;
    outline: none;
    height: 128px;
    overflow-y: auto;
    resize: none;
    padding: 13px 14px;
    font-family: DM Sans;
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    letter-spacing: 0%;
    color: rgba(33, 33, 33, 1);
    border-radius: 8px;
    background: rgba(241, 241, 241, 1);
    margin-top: 4px;
}

.modal textarea::placeholder {
    color: rgba(33, 33, 33, 0.4);
    font-family: DM Sans;
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
}

.active-modal {
    transform: translateX(-50%) translateY(-50%) scale(1);
}

.modal button {
    width: 108px;
    height: 42px;
    margin-top: 29px;
}

.feedback-modal button {
    margin-top: 16px;
}

.modal-close {
    cursor: pointer;
    width: 32px;
    height: 32px;
    /* background: rgba(0, 0, 0, 0.05); */
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    position: absolute;
    top: 16px;
    right: 16px;
    transition: .3s;
}

.modal-close:hover {
    background: rgba(0, 0, 0, 0.09);
}

.modal input {
    width: 100%;
    box-shadow: none;
    background: rgba(241, 241, 241, 1);
    padding: 13px 14px;
    font-size: 16px;
    font-weight: 400;
    color: rgba(33, 33, 33, 0.4);
    border-radius: 10px;
    border: none;
    outline: none;
}

.modal input::placeholder {
    color: rgba(33, 33, 33, 0.4);
}

@media screen and (max-width:1580px) {
    .choose-item span {
        white-space: unset;
    }
}


@media screen and (max-width:1270px) {
    .policy {
        width: 336px;
        margin: auto;
        gap: 16px;
        padding: 0;
        padding-top: 10px;
        padding-bottom: 64px;
    }

    .policy h2 {
        font-size: 32px;
    }

    .policy h3 {
        font-size: 28px;
    }

    .policy p {
        font-size: 14px;
    }

    .policy div {
        gap: 10px;
    }

    .block-location {
        margin-left: 0;
        width: 336px;
        margin: auto;
    }

    .policy-header {
        width: 336px;
        margin: auto;
        padding: 16px 0;
    }
}

@media screen and (max-width:1200px) {
    .key-solution-block {
        grid-template-columns: 1fr 1fr;
    }

    .intro-info {
        width: 100%;
    }

    .block-title {
        font-size: 44px;
    }

    .optimization-left>span {
        font-size: 12px;
    }

    .optimization ul li {
        font-size: 12px;
    }

    .optimization p {
        font-size: 14px;
    }

    .optimization-block img {
        width: 420px;
    }

    .optimization-block {
        padding-left: 30px;
    }

    .choose-block {
        grid-template-columns: 1fr 1fr;
    }

    .choose-item {
        align-items: center;
    }

    .power-picture img {
        height: 530px;
        margin-top: -63px;
    }
}

.burger-menu {
    display: none;
}

@media screen and (max-width:900px) {
    header {
        width: 100%;
    }

    .head-cont {
        padding: 20px 12px;
    }

    h1 {
        font-size: 32px;
    }

    .intro-info p {
        font-size: 14px;
    }

    .optimization-block {
        flex-direction: column-reverse;
        gap: 20px;
    }

    .optimization-block img {
        width: 318px;
        margin-top: -33px;
    }

    .optimization-left {
        max-width: 100%;
    }

    .block-title {
        font-size: 31px;
    }

    .optimization-left>span,
    .optimization ul li {
        font-size: 14px;
    }

    .optimization-left>span {
        margin-top: 12px;
    }

    .optimization ul {
        margin-top: 12px;
    }

    .optimization p {
        margin-top: 18px;
        font-size: 16px;
    }

    .optimization-block {
        background-image: url(img/optimizbgmob.webp);
    }

    .choose-block {
        width: 100%;
        grid-template-columns: 1fr;
    }

    .choose-item span {
        max-width: 100%;
    }

    .choose-item {
        width: 100%;
    }

    .key-solution-block {
        grid-template-columns: 1fr;
    }

    .power h2 {
        font-size: 24px;
        white-space: unset;
        padding: 0 12px;
    }

    .connect,
    .contact,
    .choose,
    .optimization,
    .key-solution {
        padding-left: 12px;
        padding-right: 12px;
    }

    .connect-block {
        gap: 12px;
        padding: 16px;
    }

    .optimization-block {
        padding: 16px;
    }

    .connect-block button {
        margin-top: 16px;
    }

    .contact-left {
        width: 100%;
        padding-right: 16px;
        align-items: center;
    }

    .contact {
        flex-direction: column-reverse;
        padding-right: 0;
        padding-bottom: 85px;
    }

    .contact p {
        font-size: 16px;
    }

    .contact button {
        margin-top: 16px;
    }

    .contact-left {
        gap: 12px;
    }

    .footer-bottom {
        padding: 16px 12px;
    }

    .footer-top {
        padding: 32px;
        gap: 25px;
    }

    .burger-menu {
        display: flex;
    }

    header {
        position: relative;
        justify-content: space-between;
        padding: 10px 20px;
    }

    header nav {
        /* display: none; */
        position: fixed;
        left: 0;
        top: 50px;
        width: 100%;
        transform: rotateX(180deg);
        transform-origin: top;
        transition: .3s;
        background: #37393C;
        backface-visibility: hidden;
        border-radius: 10px;
    }

    header nav.burger-active {
        transform: rotateX(0deg);
    }

    header nav ul {
        flex-direction: column;
        align-items: flex-end;
        padding: 12px 20px;
        gap: 20px;
    }

    .contact>img {
        width: 100%;
    }

    .feedback-modal {
        width: calc(100% - 32px);
    }

    .modal {
        width: 290px;
        padding: 20px 16px;
    }
}